Skip to main content
POST
Create digital wallet token provision request for Google Pay using Unified Push Provisioning (UPP)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

card_id
string<uuid>
required

The unique identifier of a card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Request to provision digital wallet card data to pass to Google Pay digital wallet using Google Unified Push Provisioning (UPP). Replaces the Google in-app push provisioning endpoint, which Google expects to deprecate by the end of 2026.

NB: Cannot be used outside of production.

device_id
string
required

The user’s Android device ID; the device’s unique identifier.

Required string length: 1 - 24
device_type
enum<string>
required

The type of device into which the digital wallet token will be provisioned.

Available options:
MOBILE_PHONE,
TABLET,
WATCH
provisioning_app_version
string
required

Version of the application making the provisioning request.

Maximum string length: 50
wallet_account_id
string
required

The user’s Google wallet account ID.

Required string length: 1 - 50
server_session_id
string<uuid>

Google session ID, used to generate the Google Opaque Payment Card (OPC) that adds the card to the cardholder's Google account. Must be a UUID. Required only if the Google OPC is needed.

token_requestor_id
string

Identifier of the token requestor. Required when tokenizing a Visa card to a Fitbit device.

Required string length: 1 - 15

Response

Digital wallet token provision request data

card_id
string<uuid>

The unique identifier of a card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

creation_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

google_opaque_payment_card
string

Google OPC. Only returned when the request included server_session_id.

last_updated_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

push_tokenize_request_data
object